#! /bin/csh -f
# extraction du fichier de mise a jour de la distribution de TeX V3.1415
# francisee de GUTenberg pour plate-formes UNIX, partie TEXMF
#
# passage version 4.3 => 4.4
#
# 01/02/1997, Eric.Picheral@univ-rennes1.fr
# 27/02/1997, tar depuis texmf au lieu de usr
# 18/02/1998, ajout variables OLD et NEW

set OLD=4.3
set NEW=4.4
set REPOLD=$cwd
echo -n "Racine de l'installation de TeX [/usr/local/lib/texmf] "
set TEXMF=$<
if ($TEXMF == '') then
	set TEXMF=/usr/local/lib/texmf
endif
if (! -d $TEXMF) then
  mkdir $TEXMF
endif
cd $TEXMF
pwd
/bin/rm -f tex/latex/french/french.bug
/bin/rm -f tex/latex/supported/url.sty
/bin/rm -f tex/tugboat/ltug{boat,proc}.sty
/bin/rm -f tex/latex/french/Oenglish.{doc,sty}
if (! -d doc) then
  mkdir doc
endif
mkdir doc/ps doc/pdf
mv doc/*.ps ps
mv doc/*.pdf pdf

if (! -d mf) then
  mkdir mf
endif
pushd mf
/bin/rm -f modes.mf
ln -s modes-3.4.mf modes.mf
popd

gunzip -c $REPOLD/maj.$OLD-$NEW.tar.gz | tar xvf -
